Bug 245103 - Review Request: php-spyc - A simple php yaml class
Review Request: php-spyc - A simple php yaml class
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 00:30 EDT by Michael Stahnke
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 08:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-06-21 00:30:53 EDT
Spec URL: http://www.stahnkage.com/rpms/php-spyc.spec
SRPM URL: http://www.stahnkage.com/rpms/php-spyc-0.2.5-1.src.rpm
Description: Spyc is a YAML loader/dumper written in PHP. Given a YAML
document, Spyc will return an array which you can use however
you see fit. Given an array, Spyc will return a string which
 contains a YAML document built from your data.
Comment 1 Jason Tibbitts 2007-07-03 21:40:01 EDT
Builds OK, rpmlint is quiet and everything looks good to me.  There's really not
much at all to this package.

Terribly minor: there's a stray leading space on the last line of the %description.

Note that this is a plain PHP package, not a PEAR package.

Review:
* source files match upstream:
   8598d8dbc77b79743c633345cfe47c2e8adbb8eff0d44b2d52401150dc056a3b  
   spyc-0.2.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-spyc = 0.2.5-1.fc8
  =
   php
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Michael Stahnke 2007-07-03 22:12:09 EDT
New Package CVS Request
=======================
Package Name: php-spyc
Short Description: A simple php yaml class
Owners: mastahnke@gmail.com
Branches: EL-5, F-7, FC-6
InitialCC: 
Comment 3 Kevin Fenzi 2007-07-03 22:19:28 EDT
cvs done.
Comment 4 Michael Stahnke 2007-07-03 22:37:23 EDT
Sorry forgot this package works without PHP5. 

New Package CVS Request
=======================
Package Name: php-spyc
Short Description: A simple php yaml class
Owners: mastahnke@gmail.com
Branches: EL-4
InitialCC: 

Comment 5 Kevin Fenzi 2007-07-03 23:02:04 EDT
cvs done.
Comment 6 Fedora Update System 2007-07-05 15:12:36 EDT
php-spyc-0.2.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-07-06 08:36:23 EDT
php-spyc-0.2.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.